summaryrefslogtreecommitdiffstats
path: root/debian/libpam-sss.postinst
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-19 05:31:47 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-19 05:31:47 +0000
commitf2f4f7c4b42b0eed0f9f81610e7ef4e93f943dfb (patch)
tree9cca076b3df5ba0f64e1338da8ea5dcbf5fa5713 /debian/libpam-sss.postinst
parentAdding upstream version 2.9.4. (diff)
downloadsssd-f2f4f7c4b42b0eed0f9f81610e7ef4e93f943dfb.tar.xz
sssd-f2f4f7c4b42b0eed0f9f81610e7ef4e93f943dfb.zip
Adding debian version 2.9.4-1.debian/2.9.4-1
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'debian/libpam-sss.postinst')
-rw-r--r--debian/libpam-sss.postinst40
1 files changed, 40 insertions, 0 deletions
diff --git a/debian/libpam-sss.postinst b/debian/libpam-sss.postinst
new file mode 100644
index 0000000..d9d3be5
--- /dev/null
+++ b/debian/libpam-sss.postinst
@@ -0,0 +1,40 @@
+#!/bin/sh
+# postinst script for sssd
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <postinst> `configure' <most-recently-configured-version>
+# * <old-postinst> `abort-upgrade' <new version>
+# * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+# <new-version>
+# * <postinst> `abort-remove'
+# * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+# <failed-install-package> <version> `removing'
+# <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+ configure)
+ pam-auth-update --package
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0